include	clib.inc

_TEXT	SEGMENT

strcat proc dist pascal public uses ds si di s1:dword, s2:dword
	cld
	sub al,al
	les di,s1
	lds si,s2
	mov cx,-1
	repne scasb
	dec di
      @@:
	mov al,[si]
	mov es:[di],al
	inc di
	inc si
	test al,al
	jnz @B
	mov dx,word ptr s1+2
	mov ax,word ptr s1
	ret
strcat endp

_TEXT	ENDS

	END
